org.apache.storm.generated

## Class Nimbus.downloadBlobChunk_args

- java.lang.Object
- - org.apache.storm.generated.Nimbus.downloadBlobChunk_args

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Nimbus.downloadBlobChunk_args>, org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>, org.apache.storm.thrift.TSerializable
  Enclosing class:
    Nimbus

      public static class Nimbus.downloadBlobChunk_args
      extends Object
      implements org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>, Serializable, Cloneable, Comparable<Nimbus.downloadBlobChunk_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Nimbus.downloadBlobChunk_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<Nimbus.downloadBlobChunk_args._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `downloadBlobChunk_args()`
    `downloadBlobChunk_args(Nimbus.downloadBlobChunk_args other)` Performs a deep copy on other.
    `downloadBlobChunk_args(String session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Nimbus.downloadBlobChunk_args other)`
    `Nimbus.downloadBlobChunk_args` | `deepCopy()`
    `boolean` | `equals(Nimbus.downloadBlobChunk_args that)`
    `boolean` | `equals(Object that)`
    `Nimbus.downloadBlobChunk_args._Fields` | `fieldForId(int fieldId)`
    `String` | `get_session()`
    `Object` | `getFieldValue(Nimbus.downloadBlobChunk_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_session()` Returns true if field session is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(Nimbus.downloadBlobChunk_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_session_isSet(boolean value)`
    `void` | `set_session(String session)`
    `void` | `setFieldValue(Nimbus.downloadBlobChunk_args._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_session()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<Nimbus.downloadBlobChunk_args._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### downloadBlobChunk_args

          public downloadBlobChunk_args()

    - #### downloadBlobChunk_args

          public downloadBlobChunk_args(String session)

    - #### downloadBlobChunk_args

          public downloadBlobChunk_args(Nimbus.downloadBlobChunk_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Nimbus.downloadBlobChunk_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### get_session

          public String get_session()

    - #### set_session

          public void set_session(String session)

    - #### unset_session

          public void unset_session()

    - #### is_set_session

          public boolean is_set_session()

      Returns true if field session is set (has been assigned a value) and false otherwise

    - #### set_session_isSet

          public void set_session_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Nimbus.downloadBlobChunk_args._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### getFieldValue

          public Object getFieldValue(Nimbus.downloadBlobChunk_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### isSet

          public boolean isSet(Nimbus.downloadBlobChunk_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(Nimbus.downloadBlobChunk_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(Nimbus.downloadBlobChunk_args other)

      Specified by:
        `compareTo` in interface `Comparable<Nimbus.downloadBlobChunk_args>`

    - #### fieldForId

          public Nimbus.downloadBlobChunk_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<Nimbus.downloadBlobChunk_args,Nimbus.downloadBlobChunk_args._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.